### Virtual Method

# Atspi Device set_capabilities

since: 2.60

#### Declaration [src]

    AtspiDeviceCapability
    set_capabilities (
      AtspiDevice* device,
      AtspiDeviceCapability capabilities
    )

#### Description

No description available.

Available since: 2.60

#### Parameters

`capabilities`

  Type: `AtspiDeviceCapability`

  A bitmask specifying the capabilities that should be enabled. This replaces the existing set of enabled capabilities, so, if it excludes some capabilities that are currently enabled, then those capabilities may be disabled.

#### Return value

Type: `AtspiDeviceCapability`

The new set of capabilities that are enabled. This may differ from the value passed in if the device does not support all of the requested capabilities.